#!/bin/sh
#

EXT=unixODBC
TCZ=/tmp/$EXT/TCZ

sudo rm -rf /tmp/$EXT

DEPS=""

NOTFOUND=""
for a in compiletc bash file squashfs-tools $DEPS
         do tce-load -i $a || tce-load -iwl $a || NOTFOUND=x
done
test -z "$NOTFOUND" || exit

#make clean
./configure \
	|| exit

make || exit

make install DESTDIR=$TCZ-dev || exit
for a in $(find $TCZ-dev -type f); do file -b $a | grep -q '^ELF .*not stripped$' && strip --strip-unneeded $a; done

mkdir -p $TCZ/usr/local/lib
mv $TCZ-dev/usr/local/lib/*.so* $TCZ/usr/local/lib
mv $TCZ-dev/usr/local/etc $TCZ/usr/local
mv $TCZ-dev/usr/local/bin $TCZ/usr/local

mkdir -p $TCZ-dev/usr/local/bin
mv $TCZ/usr/local/bin/odbc_config $TCZ-dev/usr/local/bin

sudo chown -R root.root $TCZ*

mksquashfs $TCZ /tmp/$EXT/$EXT.tcz -noappend
mksquashfs $TCZ-dev /tmp/$EXT/$EXT-dev.tcz -noappend

